Bug 430915 - monodevelop crashes at startup
monodevelop crashes at startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: monodevelop (Show other bugs)
rawhide
i386 Linux
low Severity high
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 11:04 EST by Adrin Jalali
Modified: 2008-02-24 11:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-23 15:37:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace file. (10.81 KB, text/plain)
2008-01-30 11:04 EST, Adrin Jalali
no flags Details

  None (edit)
Description Adrin Jalali 2008-01-30 11:04:23 EST
Description of problem:
this is my pachage list :
adrin@localhost:~$ rpm -qa | grep mono
mono-nunit-1.2.6-6.1.fc9.i386
monodevelop-0.17-4.fc9.i386
mono-winforms-1.2.6-6.1.fc9.i386
mono-data-sqlite-1.2.6-6.1.fc9.i386
mono-data-postgresql-1.2.6-6.1.fc9.i386
mono-data-oracle-1.2.6-6.1.fc9.i386
mono-data-sybase-1.2.6-6.1.fc9.i386
mono-core-1.2.6-6.1.fc9.i386
mono-data-1.2.6-6.1.fc9.i386
mono-web-1.2.6-6.1.fc9.i386
monodoc-1.2.3-1.fc7.i386

and the attached file is the stacktrace. Any idea ?
Comment 1 Adrin Jalali 2008-01-30 11:04:24 EST
Created attachment 293425 [details]
stack trace file.
Comment 2 Michel Alexandre Salim 2008-02-23 15:37:29 EST
Fixed with the latest update, though a lot of add-ins are disabled. Curious: 
does removing mono-web on your current set-up fix the problem for you?

monodevelop-0.19-2.fc9.x86_64
mono-web-1.9-1.fc9.x86_64
Comment 3 Adrin Jalali 2008-02-24 11:14:09 EST
It seems that monodevelop depends on mono-web in some path. So I can not remove
it without monodevelop being removed. This is the log :

# yum remove mono-web
Loaded plugins: allowdowngrade, fastestmirror, fedorakmod, presto
Setting up and reading Presto delta metadata
No Presto metadata available for livna-development
No Presto metadata available for livna
No Presto metadata available for macromedia
No Presto metadata available for adobe-linux-i386
No Presto metadata available for development
Loading mirror speeds from cached hostfile
 * livna-development: mirror.atrpms.net
 * livna: mirror.atrpms.net
 * macromedia: macromedia.rediris.es
 * adobe-linux-i386: linuxdownload.adobe.com
 * development: mirror.cc.vt.edu
Setting up Remove Process
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Running transaction check
---> Package mono-web.i386 0:1.2.6-6.1.fc9 set to be erased
--> Processing Dependency: mono(System.Web) = 1.0.5000.0 for package: mono-winforms
--> Processing Dependency: mono(System.Web) = 1.0.5000.0 for package: monodoc
--> Processing Dependency: mono(System.Web) = 2.0.0.0 for package: f-spot
--> Processing Dependency: mono(System.Web) = 2.0.0.0 for package: nant
--> Processing Dependency: mono(System.Web) = 2.0.0.0 for package: mono-winforms
--> Processing Dependency: mono(System.Web.Services) = 1.0.5000.0 for package:
monodoc
--> Running transaction check
---> Package nant.i386 0:0.85-17.fc9 set to be erased
--> Processing Dependency: mono(NAnt.Core) = 0.85.2478.0 for package: boo
--> Processing Dependency: mono(NAnt.DotNetTasks) = 0.85.2478.0 for package: boo
---> Package mono-winforms.i386 0:1.2.6-6.1.fc9 set to be erased
--> Processing Dependency: mono(System.Design) = 1.0.5000.0 for package:
bytefx-data-mysql
--> Processing Dependency: mono(System.Design) = 2.0.0.0 for package:
bytefx-data-mysql
--> Processing Dependency: mono(System.Windows.Forms) = 1.0.5000.0 for package: ikvm
--> Processing Dependency: mono(System.Windows.Forms) = 1.0.5000.0 for package:
bytefx-data-mysql
--> Processing Dependency: mono(System.Windows.Forms) = 2.0.0.0 for package:
bytefx-data-mysql
---> Package f-spot.i386 0:0.4.1-2.fc9 set to be erased
---> Package monodoc.i386 0:1.2.3-1.fc7 set to be erased
--> Processing Dependency: monodoc for package: monodevelop
--> Running transaction check
---> Package monodevelop.i386 0:0.17-4.fc9 set to be erased
---> Package bytefx-data-mysql.i386 0:1.2.6-6.1.fc9 set to be erased
---> Package boo.i386 0:0.8.0.2730-8.fc9 set to be erased
---> Package ikvm.i386 0:0.22-10.fc6 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
 mono-web                i386       1.2.6-6.1.fc9    installed         8.5 M
Removing for dependencies:
 boo                     i386       0.8.0.2730-8.fc9  installed         2.6 M
 bytefx-data-mysql       i386       1.2.6-6.1.fc9    installed         361 k
 f-spot                  i386       0.4.1-2.fc9      installed         7.4 M
 ikvm                    i386       0.22-10.fc6      installed         7.6 M
 mono-winforms           i386       1.2.6-6.1.fc9    installed          10 M
 monodevelop             i386       0.17-4.fc9       installed          11 M
 monodoc                 i386       1.2.3-1.fc7      installed         7.9 M
 nant                    i386       0.85-17.fc9      installed         7.2 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       0 Package(s)         
Remove       9 Package(s)         


Note You need to log in before you can comment on or make changes to this bug.